/**
 * PETALS - PETALS Services Platform. Copyright (c) 2007 EBM Websourcing,
 * http://www.ebmwebsourcing.com/
 * 
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version. This library is distributed in the hope that it will be
 * useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 * 
 * -------------------------------------------------------------------------
 * $Id$
 * -------------------------------------------------------------------------
 */

package org.ow2.petals.se.validation;

/**
 * @author Adrien LOUIS - EBMWebSourcing
 * @author mbeldame
 * 
 */
public interface Constants {
    String XSD_FILE = "schema";

    String VALID_XML_RESPONSE = "<?xml version=\"1.0\" encoding=\"UTF-8\"?><tns:validateResponse xmlns:tns='http://petals.ow2.org/components/validation/version-1.0'><tns:valid>true</tns:valid></tns:validateResponse>";

    String INVALID_XML_RESPONSE = "<?xml version=\"1.0\" encoding=\"UTF-8\"?><tns:validateResponse xmlns:tns='http://petals.ow2.org/components/validation/version-1.0'><tns:valid>false</tns:valid><tns:comment>$reason</tns:comment></tns:validateResponse>";
    
    String VALIDATION_SERVICE_NS = "http://petals.ow2.org/components/validation/version-1.0";
    
    String VALIDATION_OPERATION_VALIDATE = "validate";
    
}
